#ifndef  SiStripRenderPlugin_H
# define SiStripRenderPlugin_H

/*!
  \file SiStripRenderPlugin
  \brief Display Plugin for SiStrip DQM Histograms
  \author S. Dutta 
  \version $Revision: 1.4 $
  \date $Date: 2008/06/02 10:54:10 $
*/

#include "VisMonitoring/DQMServer/interface/DQMRenderPlugin.h"
#include "VisMonitoring/DQMServer/interface/DQMRenderPluginDB.h"

#include <string>
#include <TH2C.h>
#include <TGaxis.h>

class SiStripRenderPlugin : public DQMRenderPlugin {

 public:

  virtual bool applies( const DQMNet::CoreObject &o, const VisDQMImgInfo &i );

  virtual void preDraw( TCanvas *c, const DQMNet::CoreObject &o, const VisDQMImgInfo &i, VisDQMRenderInfo&  r);

  virtual void postDraw( TCanvas *c, const DQMNet::CoreObject &o, const VisDQMImgInfo &i );

 private:
    
  // private functions...
  void preDrawTH1F ( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH2F ( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH1F( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH2F( TCanvas *c, const DQMNet::CoreObject &o );

};

#endif //  SiStripRenderPlugin_H
